/*
 * Experimental Connected Vehicle API
 * An experimental Connected Vehicle API that allows to request vehicle data and to send commands to the virtual car simulator.
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * VehicleDetail
 */
public class VehicleDetail {
  @SerializedName("id")
  private String id = null;

  @SerializedName("licenseplate")
  private String licenseplate = null;

  @SerializedName("salesdesignation")
  private String salesdesignation = null;

  @SerializedName("finorvin")
  private String finorvin = null;

  @SerializedName("modelyear")
  private String modelyear = null;

  @SerializedName("colorname")
  private String colorname = null;

  @SerializedName("fueltype")
  private String fueltype = null;

  @SerializedName("powerhp")
  private String powerhp = null;

  @SerializedName("powerkw")
  private String powerkw = null;

  @SerializedName("numberofdoors")
  private String numberofdoors = null;

  @SerializedName("numberofseats")
  private String numberofseats = null;

  public VehicleDetail id(String id) {
    this.id = id;
    return this;
  }

   /**
   * Get id
   * @return id
  **/
  @ApiModelProperty(example = "77-9BO-_vTsH1LoEdu-_vZwpb_Oz4FO0Frkfskuw3uuKCFSSbeQ7Og3sOr3L815f", value = "")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public VehicleDetail licenseplate(String licenseplate) {
    this.licenseplate = licenseplate;
    return this;
  }

   /**
   * The license plate of the vehicle.
   * @return licenseplate
  **/
  @ApiModelProperty(example = "S-GG-116", value = "The license plate of the vehicle.")
  public String getLicenseplate() {
    return licenseplate;
  }

  public void setLicenseplate(String licenseplate) {
    this.licenseplate = licenseplate;
  }

  public VehicleDetail salesdesignation(String salesdesignation) {
    this.salesdesignation = salesdesignation;
    return this;
  }

   /**
   * The sales designation of the vehicle.
   * @return salesdesignation
  **/
  @ApiModelProperty(example = "Mercedes-AMG CLA 45 4MATIC Shooting Brake", value = "The sales designation of the vehicle.")
  public String getSalesdesignation() {
    return salesdesignation;
  }

  public void setSalesdesignation(String salesdesignation) {
    this.salesdesignation = salesdesignation;
  }

  public VehicleDetail finorvin(String finorvin) {
    this.finorvin = finorvin;
    return this;
  }

   /**
   * The FIN or VIN of the vehicle.
   * @return finorvin
  **/
  @ApiModelProperty(example = "WDD***********002", value = "The FIN or VIN of the vehicle.")
  public String getFinorvin() {
    return finorvin;
  }

  public void setFinorvin(String finorvin) {
    this.finorvin = finorvin;
  }

  public VehicleDetail modelyear(String modelyear) {
    this.modelyear = modelyear;
    return this;
  }

   /**
   * The model year.
   * @return modelyear
  **/
  @ApiModelProperty(example = "2017", value = "The model year.")
  public String getModelyear() {
    return modelyear;
  }

  public void setModelyear(String modelyear) {
    this.modelyear = modelyear;
  }

  public VehicleDetail colorname(String colorname) {
    this.colorname = colorname;
    return this;
  }

   /**
   * The color name.
   * @return colorname
  **/
  @ApiModelProperty(example = "mountaingrau metallic", value = "The color name.")
  public String getColorname() {
    return colorname;
  }

  public void setColorname(String colorname) {
    this.colorname = colorname;
  }

  public VehicleDetail fueltype(String fueltype) {
    this.fueltype = fueltype;
    return this;
  }

   /**
   * The type of fuel.
   * @return fueltype
  **/
  @ApiModelProperty(example = "Benzin", value = "The type of fuel.")
  public String getFueltype() {
    return fueltype;
  }

  public void setFueltype(String fueltype) {
    this.fueltype = fueltype;
  }

  public VehicleDetail powerhp(String powerhp) {
    this.powerhp = powerhp;
    return this;
  }

   /**
   * The power of the vehicle in HP unit.
   * @return powerhp
  **/
  @ApiModelProperty(example = "381", value = "The power of the vehicle in HP unit.")
  public String getPowerhp() {
    return powerhp;
  }

  public void setPowerhp(String powerhp) {
    this.powerhp = powerhp;
  }

  public VehicleDetail powerkw(String powerkw) {
    this.powerkw = powerkw;
    return this;
  }

   /**
   * The power of the vehicle in KW unit.
   * @return powerkw
  **/
  @ApiModelProperty(example = "280", value = "The power of the vehicle in KW unit.")
  public String getPowerkw() {
    return powerkw;
  }

  public void setPowerkw(String powerkw) {
    this.powerkw = powerkw;
  }

  public VehicleDetail numberofdoors(String numberofdoors) {
    this.numberofdoors = numberofdoors;
    return this;
  }

   /**
   * The number of doors the vehicle has.
   * @return numberofdoors
  **/
  @ApiModelProperty(example = "5", value = "The number of doors the vehicle has.")
  public String getNumberofdoors() {
    return numberofdoors;
  }

  public void setNumberofdoors(String numberofdoors) {
    this.numberofdoors = numberofdoors;
  }

  public VehicleDetail numberofseats(String numberofseats) {
    this.numberofseats = numberofseats;
    return this;
  }

   /**
   * The license plate of the vehicle.
   * @return numberofseats
  **/
  @ApiModelProperty(example = "5", value = "The license plate of the vehicle.")
  public String getNumberofseats() {
    return numberofseats;
  }

  public void setNumberofseats(String numberofseats) {
    this.numberofseats = numberofseats;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VehicleDetail vehicleDetail = (VehicleDetail) o;
    return Objects.equals(this.id, vehicleDetail.id) &&
        Objects.equals(this.licenseplate, vehicleDetail.licenseplate) &&
        Objects.equals(this.salesdesignation, vehicleDetail.salesdesignation) &&
        Objects.equals(this.finorvin, vehicleDetail.finorvin) &&
        Objects.equals(this.modelyear, vehicleDetail.modelyear) &&
        Objects.equals(this.colorname, vehicleDetail.colorname) &&
        Objects.equals(this.fueltype, vehicleDetail.fueltype) &&
        Objects.equals(this.powerhp, vehicleDetail.powerhp) &&
        Objects.equals(this.powerkw, vehicleDetail.powerkw) &&
        Objects.equals(this.numberofdoors, vehicleDetail.numberofdoors) &&
        Objects.equals(this.numberofseats, vehicleDetail.numberofseats);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, licenseplate, salesdesignation, finorvin, modelyear, colorname, fueltype, powerhp, powerkw, numberofdoors, numberofseats);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VehicleDetail {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    licenseplate: ").append(toIndentedString(licenseplate)).append("\n");
    sb.append("    salesdesignation: ").append(toIndentedString(salesdesignation)).append("\n");
    sb.append("    finorvin: ").append(toIndentedString(finorvin)).append("\n");
    sb.append("    modelyear: ").append(toIndentedString(modelyear)).append("\n");
    sb.append("    colorname: ").append(toIndentedString(colorname)).append("\n");
    sb.append("    fueltype: ").append(toIndentedString(fueltype)).append("\n");
    sb.append("    powerhp: ").append(toIndentedString(powerhp)).append("\n");
    sb.append("    powerkw: ").append(toIndentedString(powerkw)).append("\n");
    sb.append("    numberofdoors: ").append(toIndentedString(numberofdoors)).append("\n");
    sb.append("    numberofseats: ").append(toIndentedString(numberofseats)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

